Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "character-replace",
    "input": {
      "model": "wan-character-replace",
      "video_url": "https://example.com/my-video.mp4",
      "image_url": "https://example.com/character.jpg"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "character-replace",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits15 credits per second
Toolcharacter-replace

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYescharacter-replace
input.modelstringYeswan-character-replace
input.video_urlstringYesURL of the video
input.image_urlstringYesURL of the replacement character image
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "character-replace",
    "input": {
      "model": "wan-character-replace",
      "video_url": "https://example.com/my-video.mp4",
      "image_url": "https://example.com/character.jpg"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "character-replace",
  "createdAt": "2024-01-15T10:30:00.000Z"
}